# API reference

- [Network SDK](https://docs.coherence.io/0.7.4/api-reference/network-sdk.md)
- [CoherenceSync](https://docs.coherence.io/0.7.4/api-reference/network-sdk/coherencesync.md)
- [MonoBridge](https://docs.coherence.io/0.7.4/api-reference/network-sdk/monobridge.md)
- [LiveQuery](https://docs.coherence.io/0.7.4/api-reference/network-sdk/livequery.md)
- [Archetype](https://docs.coherence.io/0.7.4/api-reference/network-sdk/archetype.md)
- [Sample UI](https://docs.coherence.io/0.7.4/api-reference/network-sdk/sample-ui.md)
- [Settings Window](https://docs.coherence.io/0.7.4/api-reference/network-sdk/settings-window.md)
- [Custom Bindings (Advanced)](https://docs.coherence.io/0.7.4/api-reference/network-sdk/custombindings.md)
- [PlayResolver](https://docs.coherence.io/0.7.4/api-reference/network-sdk/playresolver.md)
- [Rooms](https://docs.coherence.io/0.7.4/api-reference/network-sdk/rooms.md)
- [Worlds](https://docs.coherence.io/0.7.4/api-reference/network-sdk/worlds.md)
- [Cloud API](https://docs.coherence.io/0.7.4/api-reference/cloud-api.md): List of the Cloud APIs
- [API tokens and keys](https://docs.coherence.io/0.7.4/api-reference/cloud-api/api-tokens-keys.md)
- [Game account](https://docs.coherence.io/0.7.4/api-reference/cloud-api/game-account.md): Creating a player account is the first step towards using the coherence Cloud API. It is required in order to use the rest of the services.
- [Key-value store](https://docs.coherence.io/0.7.4/api-reference/cloud-api/key-value-store.md): The key-value store provides a simple persistence layer for the players.
- [Matchmaking](https://docs.coherence.io/0.7.4/api-reference/cloud-api/matchmaking.md): The matchmaking provides a powerfull service to group players together in teams.
- [Replication Server](https://docs.coherence.io/0.7.4/api-reference/replication-server.md)
- [Simulation Server](https://docs.coherence.io/0.7.4/api-reference/simulation-server.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherence.io/0.7.4/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
